/*
	Autor: Felix von Studsinske
	Dateiname: fn_persoUpdate.sqf
	Beschreibung:
		Aktualisiert die Personalausweisdaten in der DB.
		
	Sie dürfen meine Funktionen/Scripte nur mit der "License-FvS.txt" nutzen sowie der Einhaltung der Regeln.
		Im Missionshauptverzeichnis oder in einem leicht zu findenen Ordner muss die "License-FvS.txt" vorhanden sein!
			Beispiel-Pfad: 
				Altis_Life.Altis\License-FvS.txt
				MyExampleMission.Altis\License-FvS.txt
	You are only allowed to use my scripts/functions with my littly "License-FvS.txt" and the agreements to the rules.
		The "License-FvS.txt" has to be in your mission root folder or in an easy to finding folder
			Destination example:
				Altis_Life.Altis\License-FvS.txt
				MyExampleMission.Altis\License-FvS.txt	
*/
params [
	["_insert",[],[[]]],
	["_uid","",[""]],
	["_side",sideUnknown,[sideUnknown]],
	["_player",objNull,[objNull]]
];

if(isNull _player) exitWith {};

_query = switch(_side) do
{
	case west:
	{
		format ["updatePersoWest:'%1':%2",_insert, _uid];
	};
	case independent:
	{
		format ["updatePersoIndependent:'%1':%2",_insert, _uid];
	};
	case civilian:
	{
		format ["updatePersoCivilian:'%1':%2",_insert, _uid];
	};
	case east:
	{
		format ["updatePersoEast:'%1':%2",_insert, _uid];
	};
};
[_query,1] call DB_fnc_asyncCall;