/*
	Autor: Felix von Studsinske
	Dateiname: fn_persoRequest.sqf
	Beschreibung:
		Sucht in der DB nach Einträgen für den Personalausweis je nach Fraktion.
		
	Nutzungsbedindungen, siehe "License-FvS.txt"
*/
params [
	["_uid","",[""]],
	["_side",sideUnknown,[sideUnknown]],
	["_player",objNull,[objNull]]
];

if(isNull _player) exitWith {}; // Gibt's nicht

_query = switch(_side) do
{
	case west:
	{
		format["requestPersoWest:%1",_uid];
	};
	case independent:
	{
		format["requestPersoIndependent:%1",_uid];
	};
	case civilian:
	{
		format["requestPersoCivilian:%1",_uid];
	};
	case east:
	{
		format["requestPersoEast:%1",_uid];
	};
};

_queryResult = [_query,2] call DB_fnc_asyncCall;

if(count _queryResult == 0 || _queryResult isEqualTo []) exitWith {
	_query_2 = format["insertPerso:%1",_uid];
	[_query_2,1] call DB_fnc_asyncCall;
	[] remoteExecCall ["fvs_fnc_persoNeu",(owner _player)];
};
_result = ((_queryResult select 0)select 0);
_ergebnis = [_result] call DB_fnc_mresToArray;
[_ergebnis] remoteExecCall ["fvs_fnc_persoErgebnis",(owner _player)];