/*
	Autor: Felix von Studsinske
	Dateiname: fn_persoUpdate.sqf
	Beschreibung:
		Aktualisiert die Personalausweisdaten in der DB.
		
	Nutzungsbedindungen, siehe "License-FvS.txt"
*/
params [
	["_insert",[],[[]]],
	["_uid","",[""]],
	["_side",sideUnknown,[sideUnknown]],
	["_player",objNull,[objNull]]
];

if(isNull _player) exitWith {}; // Spieler gibts nicht

_insert = [_insert] call DB_fnc_mresArray;

_query = switch(_side) do
{
	case west:
	{
		format["updatePersoWest:%2:%1",_insert, _uid];
	};
	case independent:
	{
		format["updatePersoIndependent:%2:%1",_insert, _uid];
	};
	case civilian:
	{
		format["updatePersoCivilian:%2:%1",_insert, _uid];
	};
	case east:
	{
		format["updatePersoEast:%2:%1",_insert, _uid];
	};
};
[_query,1] call DB_fnc_asyncCall;